Subject: bug#65629: 29.1; Dictionary-search on Windows : wrong-type-argument stringp nil in dictionary-read-reply-and-split()

From: Paul van Gelder <[email-masked]>
Date: Thu, 31 Aug 2023 09:09:02 +0200 (CEST)

You're right that port 2628 must be blocked by my company's firewall: the MacBook was on the company guest network, the Windows laptop on the corporate network.

I just brought my Windows laptop home to check on my personal network, and it's working fine (with init file and with -Q).

My apologies for wasting your time - I'll include a connectivity check in my checklist for troubleshooting issues before reporting a bug report next time.

Thanks for your quick response.

> Op 30-08-2023 18:56 CEST schreef Eli Zaretskii <[email-masked]>:
> 
>  
> > Date: Wed, 30 Aug 2023 16:57:02 +0200 (CEST)
> > From: Paul van Gelder <[email-masked]>
> > 
> > The following bug occurs/doesn't occur as follows, which makes me think it may be due to Windows OS:
> > - Windows, emacs 29.1, my config -> bug
> > - Windows, emacs 29.1, -Q -> bug
> > - MacOS, emacs 30.0.50, -Q -> no bug, works fine
> > 
> > When I start emacs -Q, I do the following to reliably recreate the bug:
> > M-x dictionary-search RET Hello RET
> 
> I cannot reproduce this on MS-Windows.  When I try the above, Emacs
> first tries to connect to a local server:
> 
>   Opening connection to localhost:2628
> 
> Then it says:
> 
>   Failed to open server localhost, continue with dict.org? (y or n)
> 
> I answer 'y', and then:
> 
>   Opening connection to dict.org:2628
>   Searching for Hello in *
> 
> and next I see 4 definitions it finds.
> 
> So I wonder what goes wrong in your case.  Is your Internet connection
> working on the Windows machine? is port 2628 blocked by some firewall,
> per chance?